This is the multi-page printable view of this section. Click here to print.

Return to the regular view of this page.

ListDataFlowImages

1 - 1.2

get /v1/data-flows/image-versions

Description

Get List of Data Flow Images.

State ACTIVE (CURRENT)

VersionNot Before
1.2-

Parameters

TypeNameDescriptionSchemaDefault
headerAccept
optional
Accept
Example : application/json
stringapplication/json
headerContent-Type
optional
Content-Type
Example : application/json
stringapplication/json
headerScp-Request-Path
optional
Scp-Request-Path
Example : openapi
stringopenapi

Responses

HTTP CodeDescriptionSchema
200OKDataFlowImageListResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/data-flows/image-versions

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-flow 1.2"

Example HTTP response

Response 200

{
    "contents": [
        {
            "image_id": "",
            "image_name": "",
            "version": ""
        }
    ],
    "total_count": ""
}

2 - 1.1

get /v1/data-flows/image-versions

Description

Get List of Data Flow Images.

State ACTIVE (SUPPORTED)

VersionNot Before
1.120260930

Parameters

TypeNameDescriptionSchemaDefault
headerAccept
optional
Accept
Example : application/json
stringapplication/json
headerContent-Type
optional
Content-Type
Example : application/json
stringapplication/json
headerScp-Request-Path
optional
Scp-Request-Path
Example : openapi
stringopenapi

Responses

HTTP CodeDescriptionSchema
200OKDataFlowImageListResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/data-flows/image-versions

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-flow 1.1"

Example HTTP response

Response 200

{
    "contents": [
        {
            "image_id": "",
            "image_name": "",
            "version": ""
        }
    ],
    "total_count": ""
}

3 - 1.0

get /v1/data-flows/image-versions

Description

Get List of Data Flow Images.

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.020260701

Parameters

TypeNameDescriptionSchemaDefault
headerAccept
optional
Accept
Example : application/json
stringapplication/json
headerContent-Type
optional
Content-Type
Example : application/json
stringapplication/json
headerScp-Request-Path
optional
Scp-Request-Path
Example : openapi
stringopenapi

Responses

HTTP CodeDescriptionSchema
200OKDataFlowImageListResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/data-flows/image-versions

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = data-flow 1.0"

Example HTTP response

Response 200

{
    "contents": [
        {
            "image_id": "",
            "image_name": "",
            "version": ""
        }
    ],
    "total_count": ""
}